void getCollArea(char *filename = "/big0/Maggi/CamData/Gamma/gamma_15_on.root" ) 
{ 
  
  MParList  *parlist  = new MParList() ; 
  MTaskList *tasklist = new MTaskList() ; 
  
  MMcEvt *mcEvt = new MMcEvt() ; 
  parlist->AddToList( mcEvt ) ; 

  MMcTrig *McTrig = new MMcTrig() ; 
  parlist->AddToList( McTrig ) ;

  MCollArea *collArea = new MCollArea() ; 
  parlist->AddToList( collArea ) ; 


  MReadTree reader( filename ,"Events" ) ; 
  tasklist->AddToList( &reader ) ; 

  MCollAreaTrigger  effi ; 
  tasklist->AddToList( &effi) ; 
  
  parlist.AddToList( tasklist);

  tasklist->Print() ; 

  //    set up the loop for the processing 
  
  MEvtLoop magic;
  magic.SetParList( parlist );


  magic.Eventloop() ; 

  collArea->Draw() ; 
  
}
